Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2361 - depmod enhancements
Summary: depmod enhancements
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: modutils
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-25 02:45 UTC by bmacy
Modified: 2014-03-17 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-05-31 19:16:26 UTC


Attachments (Terms of Use)

Description bmacy 1999-04-25 02:45:30 UTC
I have multiple scsi adaptors. I boot off of one and have
devices not needed for boot attached to others. So I try to
use kmod to auto load the modules as needed. Problem is
depmod -a doesn't have a way to know the dependencies so I
have to do it manually each boot (since rc.sysinit rewrites
the modules.dep each boot). Features I'd like to see in
depmod:

- Ability to do a depmod -a that only adds dependencies to
modules.dep... if a dependency is already defined it
ignores it (unless the dependency is defined as no-deps)
- Ability to force a dependency (probably a new program)...
ie forcedep cdrom BusLogic
- Ability to specify more than one scsi_hostadaptor entry
in modules.conf... I don't care if it loads *all* the
modules any time a scsi device is accessed. This is only
really useful if you have one scsi module that is
dynamically loaded.

Anyways... if someone gives me the CVS source I'll add
these myself and submit the patch.

Brian Macy

Comment 1 Jeff Johnson 1999-05-31 19:15:59 UTC
The source for Red Hat 6.0 modutils is in modutils-2.1.121-12.src.rpm.
Please reopen this bug if you do find the time to generate a patch.The source for Red Hat 6.0 modutils is in modutils-2.1.121-12.src.rpm.
Please reopen this bug if you do find the time to generate a patch.

Comment 2 Jeff Johnson 1999-05-31 19:16:59 UTC
The source for Red Hat 6.0 modutils is in modutils-2.1.121-12.src.rpm.
Please reopen this bug if you do find the time to generate a patch.


Note You need to log in before you can comment on or make changes to this bug.